2022-01-02 / @syui

archlinuxの'could not fully load metadata for package'のerror

archlinux-armの方なんだけど、goがcould not fully load metadata for packageのerrorでupdateできなかった。

packageのdesc, filesあたりを消して破損したmetadataは削除後にインストールしました。

$ touch /var/lib/pacman/local/go-xxx/desc
$ touch /var/lib/pacman/local/go-xxx/files
$ pacman -S go --overwrite '*'

修正する過程で面白そうなブログ見つけた

https://jeffreytse.net/

tag: arch